org.eclipse.eef.util

## Class EEFConditionalStyleToWidgetStyleSwitch

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.eef.util.EefSwitch<EEFWidgetStyle>
    - - org.eclipse.eef.util.EEFConditionalStyleToWidgetStyleSwitch

    public class EEFConditionalStyleToWidgetStyleSwitch
    extends EefSwitch<EEFWidgetStyle>

Utility class used to retrieve the style of a given conditional style.

### Field Summary

### Fields inherited from class org.eclipse.eef.util.EefSwitch

`modelPackage`

### Constructor Summary

Constructors
Constructor and Description
`EEFConditionalStyleToWidgetStyleSwitch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFWidgetStyle` `caseEEFButtonConditionalStyle(EEFButtonConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Button Conditional Style'.
`EEFWidgetStyle` `caseEEFCheckboxConditionalStyle(EEFCheckboxConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Checkbox Conditional Style'.
`EEFWidgetStyle` `caseEEFHyperlinkConditionalStyle(EEFHyperlinkConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Hyperlink Conditional Style'.
`EEFWidgetStyle` `caseEEFLabelConditionalStyle(EEFLabelConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Label Conditional Style'.
`EEFWidgetStyle` `caseEEFListConditionalStyle(EEFListConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF List Conditional Style'.
`EEFWidgetStyle` `caseEEFRadioConditionalStyle(EEFRadioConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Radio Conditional Style'.
`EEFWidgetStyle` `caseEEFSelectConditionalStyle(EEFSelectConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Select Conditional Style'.
`EEFWidgetStyle` `caseEEFTextConditionalStyle(EEFTextConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Text Conditional Style'.

### Methods inherited from class org.eclipse.eef.util.EefSwitch

`caseEEFButtonDescription, caseEEFButtonStyle, caseEEFCheckboxDescription, caseEEFCheckboxStyle, caseEEFConditionalStyle, caseEEFContainerDescription, caseEEFControlDescription, caseEEFCustomExpression, caseEEFCustomWidgetConditionalStyle, caseEEFCustomWidgetDescription, caseEEFCustomWidgetStyle, caseEEFDynamicMappingFor, caseEEFDynamicMappingIf, caseEEFFillLayoutDescription, caseEEFGridLayoutDescription, caseEEFGroupConditionalStyle, caseEEFGroupDescription, caseEEFGroupStyle, caseEEFHyperlinkDescription, caseEEFHyperlinkStyle, caseEEFLabelDescription, caseEEFLabelStyle, caseEEFLayoutDescription, caseEEFListDescription, caseEEFListStyle, caseEEFPageDescription, caseEEFPropertyValidationRuleDescription, caseEEFRadioDescription, caseEEFRadioStyle, caseEEFRuleAuditDescription, caseEEFSelectDescription, caseEEFSelectStyle, caseEEFSemanticValidationRuleDescription, caseEEFTextDescription, caseEEFTextStyle, caseEEFToolbarAction, caseEEFValidationFixDescription, caseEEFValidationRuleDescription, caseEEFViewDescription, caseEEFWidgetAction, caseEEFWidgetDescription, caseEEFWidgetStyle, defaultCase, doSwitch, isSwitchFor`

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFConditionalStyleToWidgetStyleSwitch

    public EEFConditionalStyleToWidgetStyleSwitch()

### Method Detail

#### caseEEFButtonConditionalStyle

    public EEFWidgetStyle caseEEFButtonConditionalStyle(EEFButtonConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Button Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFButtonConditionalStyle` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Button Conditional Style'.
See Also:
  `EefSwitch.caseEEFButtonConditionalStyle(org.eclipse.eef.EEFButtonConditionalStyle)`

#### caseEEFCheckboxConditionalStyle

    public EEFWidgetStyle caseEEFCheckboxConditionalStyle(EEFCheckboxConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Checkbox Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFCheckboxConditionalStyle` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Checkbox Conditional Style'.
See Also:
  `EefSwitch.caseEEFCheckboxConditionalStyle(org.eclipse.eef.EEFCheckboxConditionalStyle)`

#### caseEEFHyperlinkConditionalStyle

    public EEFWidgetStyle caseEEFHyperlinkConditionalStyle(EEFHyperlinkConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Hyperlink Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFHyperlinkConditionalStyle` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Hyperlink Conditional Style'.
See Also:
  `EefSwitch.caseEEFHyperlinkConditionalStyle(org.eclipse.eef.EEFHyperlinkConditionalStyle)`

#### caseEEFLabelConditionalStyle

    public EEFWidgetStyle caseEEFLabelConditionalStyle(EEFLabelConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Label Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFLabelConditionalStyle` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Label Conditional Style'.
See Also:
  `EefSwitch.caseEEFLabelConditionalStyle(org.eclipse.eef.EEFLabelConditionalStyle)`

#### caseEEFRadioConditionalStyle

    public EEFWidgetStyle caseEEFRadioConditionalStyle(EEFRadioConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Radio Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFRadioConditionalStyle` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Radio Conditional Style'.
See Also:
  `EefSwitch.caseEEFRadioConditionalStyle(org.eclipse.eef.EEFRadioConditionalStyle)`

#### caseEEFSelectConditionalStyle

    public EEFWidgetStyle caseEEFSelectConditionalStyle(EEFSelectConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Select Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFSelectConditionalStyle` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Select Conditional Style'.
See Also:
  `EefSwitch.caseEEFSelectConditionalStyle(org.eclipse.eef.EEFSelectConditionalStyle)`

#### caseEEFTextConditionalStyle

    public EEFWidgetStyle caseEEFTextConditionalStyle(EEFTextConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Text Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFTextConditionalStyle` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Text Conditional Style'.
See Also:
  `EefSwitch.caseEEFTextConditionalStyle(org.eclipse.eef.EEFTextConditionalStyle)`

#### caseEEFListConditionalStyle

    public EEFWidgetStyle caseEEFListConditionalStyle(EEFListConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF List Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFListConditionalStyle` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF List Conditional Style'.
See Also:
  `EefSwitch.caseEEFListConditionalStyle(org.eclipse.eef.EEFListConditionalStyle)`